Overview
PUT
/content/relationships/{id}contentUpdate relationships
Replace a record in relationships by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- ownerKindoptionalstring
- ownerIdoptionalstring
- contactIdoptionalstring
- relationshipKindoptionalstring
- sinceDateoptionalstring
- notesoptionalstring
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"contactId": "string",
"relationshipKind": "string",
"sinceDate": "string",
"notes": "string"
}Responses
200
relationships
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- ownerKindstring
- ownerIdstring
- contactIdstring
- relationshipKindstring
- sinceDatestring
- notesstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"contactId": "string",
"relationshipKind": "string",
"sinceDate": "string",
"notes": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/relationships/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"contactId": "string",
"relationshipKind": "string",
"sinceDate": "string",
"notes": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/relationships/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"contactId\": \"string\",\n \"relationshipKind\": \"string\",\n \"sinceDate\": \"string\",\n \"notes\": \"string\"\n}",
});
const data = await res.json();